=== debian/control ===
Source: kannel-sqlbox
Section: net
Priority: optional
Homepage: http://www.kannel.org/~aguerrieri/SqlBox/
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 autotools-dev,
 libtool,
 automake,
 autoconf,
 debhelper,
 dh-buildinfo,
 kannel-dev (>= 1.4.4-2~),
 openjade,
 texlive-formats-extra,
 texlive-base-bin,
 transfig,
 imagemagick,
 docbook-dsssl
Vcs-Git: https://salsa.debian.org/debian/kannel-sqlbox.git
Vcs-Browser: https://salsa.debian.org/debian/kannel-sqlbox
Standards-Version: 4.2.1
Rules-Requires-Root: no

Package: kannel-sqlbox
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: SQL helper application for Kannel WAP and SMS gateway
 Kannel is a gateway for connecting WAP (Wireless Application Protocol)
 phones to the Internet. It also works as an SMS/SMPP gateway, for
 providing SMS based services for GSM phones.
 .
 Sqlbox is a special Kannel box that sits between bearerbox and smsbox
 and uses a database queue to store and forward messages.
 .
 Messages are queued on a configurable table (defaults to send_sms) and
 moved to another table (defaults to sent_sms) afterwards.
 .
 You can also manually insert messages into the send_sms table and they
 will be sent and moved to the sent_sms table as well. This allows for
 fast and easy injection of large amounts of messages into Kannel.
